View Issue Details

IDProjectCategoryView StatusLast Update
13330Bug reports[All Projects] Ergonomypublic2018-02-19 15:08
ReporterDenisChenuAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version3.4.x 
Summary13330: Admin GUI are not responsive
DescriptionSee screenshot
Steps To ReproduceOpen a survey via admin gui with a little screen,
Put the screen wider
Additional InformationWith LimeSurey a lot of user have multiple windows open : one for a text editor for copy/paste, one with a Calc, one with LimeSurvey etc …
Real responsivness is minimum in 2018 i think …
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.3.0git
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Versionnot relevant
Operating System (Server)not relevant
Webserver software & versionnot relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-02-09 22:33

developer  

markusfluer

markusfluer

2018-02-15 12:56

manager   ~46515

The minimum window size for the admin page is 1024px in width.
Anything lower than that is not supported officially.
DenisChenu

DenisChenu

2018-02-15 14:34

developer   ~46534

It's not about windows size, it's about windows resizing …
markusfluer

markusfluer

2018-02-15 14:44

manager   ~46537

And resizing the window does change the window size, doesn't it?
I was not talking about screen size, which is on another piece of paper entireley.

Also what exactly is the issue?
DenisChenu

DenisChenu

2018-02-15 15:54

developer   ~46540

See reproduce (just replace screen by windows)
Open a survey via admin gui with a little window,
Set the window wider
See the result (screenshot).

I think the screenshot only is clear enough
markusfluer

markusfluer

2018-02-16 15:08

manager   ~46549

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26501

Related Changesets

LimeSurvey: master 663b52ca

2018-02-16 15:08:12

markusfluer

Details Diff
Fixed issue 13330: Admin GUI are not responsive
Fixed issue 13311: Survey logic view with massive empty space till the footer
mod - application/config/packages.php Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.debug.js Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.js Diff File
mod - assets/packages/adminpanel/build/lsadminpanel.min.js Diff File
mod - assets/packages/adminpanel/src/components/sidebar.vue Diff File
mod - assets/packages/adminpanel/src/store/vuex-store.js Diff File

Issue History

Date Modified Username Field Change
2018-02-09 22:33 DenisChenu New Issue
2018-02-09 22:33 DenisChenu File Added: Capture du 2018-02-09 22-32-38.png
2018-02-09 22:33 DenisChenu Summary Admin GUI are not responsible => Admin GUI are not responsive
2018-02-09 22:33 DenisChenu Additional Information Updated View Revisions
2018-02-14 16:11 olle Assigned To => markusfluer
2018-02-14 16:11 olle Status new => assigned
2018-02-15 12:56 markusfluer Note Added: 46515
2018-02-15 14:34 DenisChenu Note Added: 46534
2018-02-15 14:44 markusfluer Note Added: 46537
2018-02-15 15:07 markusfluer Status assigned => feedback
2018-02-15 15:54 DenisChenu Note Added: 46540
2018-02-15 15:54 DenisChenu Status feedback => assigned
2018-02-16 15:08 markusfluer Changeset attached => LimeSurvey master 663b52ca
2018-02-16 15:08 markusfluer Note Added: 46549
2018-02-16 15:08 markusfluer Resolution open => fixed
2018-02-16 15:08 markusfluer Status assigned => resolved
2018-02-16 15:08 markusfluer Fixed in Version => 3.3.x
2018-02-19 15:08 olle Status resolved => closed
2018-02-19 15:08 olle Fixed in Version 3.3.x => 3.4.x